Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.commands
Class Cmd

    java.lang.Object
      org.encog.app.analyst.commands.Cmd

Direct Known Subclasses:
  CmdBalance, CmdCluster, CmdCreate, CmdEvaluate, CmdEvaluateRaw, CmdGenerate, CmdNormalize, CmdRandomize, CmdReset, CmdSegregate, CmdSet, CmdTrain

    public abstract class Cmd

extends Object

Base class for Encog Analyst commands. This class defines the properties sent to a command.

Constructor Summary
`Cmd(EncogAnalyst theAnalyst)` Construct this command.

Method Summary
`abstract boolean` | `executeCommand(String args)` Execute this command.
`EncogAnalyst` | `getAnalyst()`
`abstract String` | `getName()`
`ScriptProperties` | `getProp()`
`AnalystScript` | `getScript()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Cmd

    public Cmd(EncogAnalyst theAnalyst)

  Construct this command.

  Parameters:
    `theAnalyst` - The analyst that this command belongs to.

Method Detail

### executeCommand

    public abstract boolean executeCommand(String args)

  Execute this command.

  Parameters:
    `args` - The arguments for this command.
  Returns:
    True if processing should stop after this command.

### getAnalyst

    public final EncogAnalyst getAnalyst()

  Returns:
    The analyst used with this command.

### getName

    public abstract String getName()

  Returns:
    The name of this command.

### getProp

    public final ScriptProperties getProp()

  Returns:
    The properties used with this command.

### getScript

    public final AnalystScript getScript()

  Returns:
    The script used with this command.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.